%define major 25
%define libnamedevelold %mklibname %{name} 0 -d
%define libname %mklibname opts %{major}
%define libnamedevel %mklibname %{name} -d
%define libnamestaticdevel %mklibname %{name} -d -s

Summary:	Simplifies the creation and maintenance of programs
Name:		autogen
Version:	5.16.1
Release:	%mkrel 3
Group:		Development/Other
License:	GPLv2+
URL:		http://www.gnu.org/software/autogen/
Source0:	http://ftp.gnu.org/gnu/autogen/rel%{version}/%{name}-%{version}.tar.xz
BuildRequires:	chrpath
BuildRequires:	pkgconfig(guile-1.8)
BuildRequires:	libxml2-devel

%description
AutoGen is a tool designed to simplify the creation and maintenance 
of programs that contain large amounts of repetitious text. It is 
especially valuable in programs that have several blocks of text 
that must be kept synchronized.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		Development/Other
Obsoletes:	%{_lib}autogen0 < 5.11

%description -n	%{libname}
AutoGen is a tool designed to simplify the creation and maintenance 
of programs that contain large amounts of repetitious text. It is 
especially valuable in programs that have several blocks of text 
that must be kept synchronized.

%package -n %{libnamedevel}
Summary:	Development headers and libraries for %{name}
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{libnamedevelold} < %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libnamedevel}
AutoGen is a tool designed to simplify the creation and maintenance 
of programs that contain large amounts of repetitious text. It is 
especially valuable in programs that have several blocks of text 
that must be kept synchronized.

%package -n %{libnamestaticdevel}
Summary:	Static libraries for %{name}
Group:		Development/Other
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}
Requires:	%{libnamedevel} = %{version}-%{release}

%description -n	%{libnamestaticdevel}
AutoGen is a tool designed to simplify the creation and maintenance 
of programs that contain large amounts of repetitious text. It is 
especially valuable in programs that have several blocks of text 
that must be kept synchronized.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}

%makeinstall_std

%{_bindir}/chrpath -d %{buildroot}/%{_libdir}/lib*.so.* %{buildroot}/%{_bindir}/{autogen,columns,getdefs,xml2ag}

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info


%files
%defattr(-,root,root)
%doc README TODO
%{_bindir}/autogen
%{_bindir}/columns
%{_bindir}/getdefs
%{_bindir}/xml2ag
%{_infodir}/autogen.info*
%{_mandir}/*/*
%{_datadir}/aclocal/*
%{_datadir}/autogen/

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{libnamedevel}
%defattr(0755,root,root,0755)
%{_bindir}/autoopts-config
%defattr(0644,root,root,0755)
%{_includedir}/autoopts/
%{_libdir}/*.la
%{_libdir}/*.so
%{_datadir}/pkgconfig/*

%files -n %{libnamestaticdevel}
%defattr(0644,root,root,0755)
%{_libdir}/*.a


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 5.16.1-3.mga3
+ Revision: 346651
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 dmorgan <dmorgan> 5.16.1-2.mga3
+ Revision: 323238
- Fix build

  + fwang <fwang>
    - new version 5.16.1

* Wed Dec 28 2011 wally <wally> 5.12-2.mga2
+ Revision: 188400
- rebuild for new guile

* Thu Sep 01 2011 ze <ze> 5.12-1.mga2
+ Revision: 137452
- version 5.12
- clean is done by default

  + fwang <fwang>
    - new version 5.11.5

  + dmorgan <dmorgan>
    - Remove mdv macros
    - imported package autogen

